<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Details page for individual todo</title>
</head>

<body>
    <main>
        <div>
            <h1>{{ list_object.name }}</h1>
            <a href="{% url 'todo_list_list' %}">Main Page</a>
            <a href="{% url 'todo_list_update' list_object.id %}">Edit</a>
            <a href="{% url 'todo_list_delete' list_object.id %}">Delete</a>
            <a href="{% url 'todo_item_create' %}">Create a new item</a>
            <h2>Tasks</h2>
        </div>
        <table>
            <thead>
                <th>Task</th>
                <th>Due date</th>
            </thead>
            <tbody>

                {% for item in list_object.items.all %}
                <tr>
                    <td>
                        <a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a>
                    </td>
                    <td>{{ item.due_date }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>

</html>